Page MenuHomePhabricator

Tighten query compiler rules around spaces inside and after operators
ClosedPublic

Authored by epriestley on Apr 14 2020, 5:18 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Apr 11, 7:57 AM
Unknown Object (File)
Wed, Apr 10, 7:27 PM
Unknown Object (File)
Mar 4 2024, 7:08 AM
Unknown Object (File)
Feb 24 2024, 5:06 PM
Unknown Object (File)
Feb 24 2024, 5:00 PM
Unknown Object (File)
Feb 18 2024, 8:41 AM
Unknown Object (File)
Feb 12 2024, 1:46 PM
Unknown Object (File)
Jan 25 2024, 2:17 AM
Subscribers
None

Details

Summary

Ref T13509. Since title:- cat is now ambiguous, forbid spaces after operators.

Also, forbid spaces inside operators, although this has no effect today.

Test Plan

Added unit tests, ran unit tests.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Apr 14 2020, 5:52 PM
This revision was automatically updated to reflect the committed changes.